Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## umontreal.iro.lecuyer.contactcenters.app.params
Class CTMCRepSimParams

    java.lang.Object
      umontreal.iro.lecuyer.contactcenters.app.params.SimParams
          umontreal.iro.lecuyer.contactcenters.app.params.RepSimParams
              umontreal.iro.lecuyer.contactcenters.app.params.CTMCRepSimParams

    public class CTMCRepSimParams

extends RepSimParams

Represents parameters specific to an experiment simulating a CTMC with independent replications.

Field Summary
`protected Boolean` | `alwaysUseIndexedSearch`
`protected Boolean` | `keepQueues`
`protected int[]` | `maxNumAgents`
`protected int[]` | `minNumAgents`
`protected List<IntArray>` | `thresholds`
`protected Duration` | `timeHorizon`

Fields inherited from class umontreal.iro.lecuyer.contactcenters.app.params.RepSimParams
`maxReplications, minReplications, outReplications, perPeriodCollectingMode`

Fields inherited from class umontreal.iro.lecuyer.contactcenters.app.params.SimParams
`callTrace, controlVariables, cpuTimeLimit, enableChrono, estimateContactTypeAgentGroup, keepObs, normalizeToDefaultUnit, randomStreams, report, restrictToPrintedStat, sequentialSampling`

Constructor Summary
`CTMCRepSimParams()`

Method Summary
`int[]` | `getMaxNumAgents()`
`int` | `getMaxNumAgents(int idx)`
`int` | `getMaxNumAgentsLength()`
`int[]` | `getMinNumAgents()`
`int` | `getMinNumAgents(int idx)`
`int` | `getMinNumAgentsLength()`
`List<IntArray>` | `getThresholds()` Gets the value of the thresholds property.
`Duration` | `getTimeHorizon()` Gets the value of the timeHorizon property.
`boolean` | `isAlwaysUseIndexedSearch()` Gets the value of the alwaysUseIndexedSearch property.
`boolean` | `isKeepQueues()` Gets the value of the keepQueues property.
`boolean` | `isSetAlwaysUseIndexedSearch()`
`boolean` | `isSetKeepQueues()`
`boolean` | `isSetMaxNumAgents()`
`boolean` | `isSetMinNumAgents()`
`boolean` | `isSetThresholds()`
`boolean` | `isSetTimeHorizon()`
`void` | `setAlwaysUseIndexedSearch(boolean value)` Sets the value of the alwaysUseIndexedSearch property.
`void` | `setKeepQueues(boolean value)` Sets the value of the keepQueues property.
`void` | `setMaxNumAgents(int[] values)`
`int` | `setMaxNumAgents(int idx, int value)`
`void` | `setMinNumAgents(int[] values)`
`int` | `setMinNumAgents(int idx, int value)`
`void` | `setTimeHorizon(Duration value)` Sets the value of the timeHorizon property.
`void` | `unsetAlwaysUseIndexedSearch()`
`void` | `unsetKeepQueues()`
`void` | `unsetMaxNumAgents()`
`void` | `unsetMinNumAgents()`
`void` | `unsetThresholds()`

Methods inherited from class umontreal.iro.lecuyer.contactcenters.app.params.RepSimParams
`getMaxReplications, getMinReplications, getOutReplications, getOutReplications, getOutReplicationsLength, getPerPeriodCollectingMode, isSetMaxReplications, isSetMinReplications, isSetOutReplications, isSetPerPeriodCollectingMode, setMaxReplications, setMinReplications, setOutReplications, setOutReplications, setPerPeriodCollectingMode, unsetMaxReplications, unsetOutReplications`

Methods inherited from class umontreal.iro.lecuyer.contactcenters.app.params.SimParams
`getCallTrace, getControlVariables, getCpuTimeLimit, getRandomStreams, getReport, getSequentialSampling, isEnableChrono, isEstimateContactTypeAgentGroup, isKeepObs, isNormalizeToDefaultUnit, isRestrictToPrintedStat, isSetCallTrace, isSetControlVariables, isSetCpuTimeLimit, isSetEnableChrono, isSetEstimateContactTypeAgentGroup, isSetKeepObs, isSetNormalizeToDefaultUnit, isSetRandomStreams, isSetReport, isSetRestrictToPrintedStat, isSetSequentialSampling, setCallTrace, setCpuTimeLimit, setEnableChrono, setEstimateContactTypeAgentGroup, setKeepObs, setNormalizeToDefaultUnit, setRandomStreams, setReport, setRestrictToPrintedStat, unsetControlVariables, unsetEnableChrono, unsetEstimateContactTypeAgentGroup, unsetKeepObs, unsetNormalizeToDefaultUnit, unsetRestrictToPrintedStat, unsetSequentialSampling`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### minNumAgents

    protected int[] minNumAgents

### maxNumAgents

    protected int[] maxNumAgents

### thresholds

    protected List<IntArray> thresholds

### timeHorizon

    protected Duration timeHorizon

### keepQueues

    protected Boolean keepQueues

### alwaysUseIndexedSearch

    protected Boolean alwaysUseIndexedSearch

Constructor Detail

### CTMCRepSimParams

    public CTMCRepSimParams()

Method Detail

### getMinNumAgents

    public int[] getMinNumAgents()

  Returns:
    array of `Integer`

### getMinNumAgents

    public int getMinNumAgents(int idx)

  Returns:
    one of `Integer`

### getMinNumAgentsLength

    public int getMinNumAgentsLength()

### setMinNumAgents

    public void setMinNumAgents(int[] values)

  Parameters:
    `values` - allowed objects are `Integer`

### setMinNumAgents

    public int setMinNumAgents(int idx,
                               int value)

  Parameters:
    `value` - allowed object is `Integer`

### isSetMinNumAgents

    public boolean isSetMinNumAgents()

### unsetMinNumAgents

    public void unsetMinNumAgents()

### getMaxNumAgents

    public int[] getMaxNumAgents()

  Returns:
    array of `Integer`

### getMaxNumAgents

    public int getMaxNumAgents(int idx)

  Returns:
    one of `Integer`

### getMaxNumAgentsLength

    public int getMaxNumAgentsLength()

### setMaxNumAgents

    public void setMaxNumAgents(int[] values)

  Parameters:
    `values` - allowed objects are `Integer`

### setMaxNumAgents

    public int setMaxNumAgents(int idx,
                               int value)

  Parameters:
    `value` - allowed object is `Integer`

### isSetMaxNumAgents

    public boolean isSetMaxNumAgents()

### unsetMaxNumAgents

    public void unsetMaxNumAgents()

### getThresholds

    public List<IntArray> getThresholds()

  Gets the value of the thresholds property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the thresholds property.

  For example, to add a new item, do as follows:

          getThresholds().add(newItem);

  Objects of the following type(s) are allowed in the list `IntArray`

### isSetThresholds

    public boolean isSetThresholds()

### unsetThresholds

    public void unsetThresholds()

### getTimeHorizon

    public Duration getTimeHorizon()

  Gets the value of the timeHorizon property.

  Returns:
    possible object is `Duration`

### setTimeHorizon

    public void setTimeHorizon(Duration value)

  Sets the value of the timeHorizon property.

  Parameters:
    `value` - allowed object is `Duration`

### isSetTimeHorizon

    public boolean isSetTimeHorizon()

### isKeepQueues

    public boolean isKeepQueues()

  Gets the value of the keepQueues property.

  Returns:
    possible object is `Boolean`

### setKeepQueues

    public void setKeepQueues(boolean value)

  Sets the value of the keepQueues property.

  Parameters:
    `value` - allowed object is `Boolean`

### isSetKeepQueues

    public boolean isSetKeepQueues()

### unsetKeepQueues

    public void unsetKeepQueues()

### isAlwaysUseIndexedSearch

    public boolean isAlwaysUseIndexedSearch()

  Gets the value of the alwaysUseIndexedSearch property.

  Returns:
    possible object is `Boolean`

### setAlwaysUseIndexedSearch

    public void setAlwaysUseIndexedSearch(boolean value)

  Sets the value of the alwaysUseIndexedSearch property.

  Parameters:
    `value` - allowed object is `Boolean`

### isSetAlwaysUseIndexedSearch

    public boolean isSetAlwaysUseIndexedSearch()

### unsetAlwaysUseIndexedSearch

    public void unsetAlwaysUseIndexedSearch()

Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

To submit a bug or ask questions, send an e-mail to Richard Simard.